#!/bin/sh

PCI_DEV_HAS=`grep -i '19e53532' /proc/bus/pci/devices`
PCI_3531_CNT=`grep -i '19e53531' /proc/bus/pci/devices | wc -l`
PROD_TYPE_HD=`grep -i '(hdr' /proc/cmdline`
EXT_GPIO_DRV_INS=`grep -i '(dvu' /proc/cmdline` 
EXT_GPIO_DRV_INS_NVB=`grep -i '(nvb' /proc/cmdline`  
EXT_GPIO_DRV_INS_NVP=`grep -i '(nvp' /proc/cmdline`
EXT_GPIO_DRV_INS_NEP=`grep -i '(nep' /proc/cmdline`

if [ "$PCI_DEV_HAS" == "" ];then
	if [ "$PCI_3531_CNT" -ge "3" ];then
		himm 0x200f004c 0x0
		echo "current used product type 31 nvr"
		cd /mnt/mtd/modules && ./load3531_cascade -i hd
	else
		if [ "$EXT_GPIO_DRV_INS" = "" -a "$EXT_GPIO_DRV_INS_NVB" = "" -a "$EXT_GPIO_DRV_INS_NVP" = "" -a "$EXT_GPIO_DRV_INS_NEP" = "" ]; then
			set default buzzer gpio control
			himm 0x200f004c 0x0    	
		fi 
	
		if [ "$PROD_TYPE_HD" = "" ];then
			echo "current used product type 16d1 or 16960h or nvr"
			cd /mnt/mtd/modules && ./load3531 -i 16d1
		else
			echo "current used product type 4hd"
			cd /mnt/mtd/modules && ./load3531 -i 4hd
		fi
	fi
else
	himm 0x200f004c 0x0
	
	if [ "$PROD_TYPE_HD" = "" ];then
		echo "current used product type 960h"
		cd /mnt/mtd/modules && ./load3531_cascade -i 960h
	else
		echo "current used product type hd"
		cd /mnt/mtd/modules && ./load3531_cascade -i hd
	fi
fi

modprobe nfs

rm /upgrade/ -rf
rm /mnt/mtd/preupgrade.sh
rm /mnt/mtd/productcheck

telnetd &

export mac=$(cat /etc/init.d/mac.dat)
ifconfig eth0 down
ifconfig eth0 hw ether $mac
ifconfig eth0 up

if [ "$EXT_GPIO_DRV_INS_NVP" != "" -o "$EXT_GPIO_DRV_INS_NEP" != "" ]; then
	ifconfig eth1 down
	ifconfig eth1 hw ether $mac
	ifconfig eth1 10.151.151.1
fi

ifconfig lo up
route add -net 224.0.0.0 netmask 240.0.0.0 dev eth0

mount -t usbfs none /proc/bus/usb

STMMAC_IRQNUM=`grep 'stmmaceth' /proc/interrupts | cut -c 1,2,3`
echo "2" > /proc/irq/$STMMAC_IRQNUM/smp_affinity

 
cd /mnt/mtd && ./XDVRStart.hisi ./td3531 &
